Summary: im-ja
Name: im-ja
Version: 0.8
Release: 1
License: GPL
Group: Applications/Editors
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: gtk2 >= 2.2.0
BuildPrereq: gtk2-devel

%description
 im-ja is a Japanese input module for GTK2. Currently supports hiragana, 
 katakana, half-width katakana, zenkaku, canna , wnn and kanji character recognition inputs.
 Hotkeys can be configured via a GUI configurator. An applet is included for the gnome-panel.


%prep
%setup -q

%build
./configure \
	--prefix=/usr \
	--mandir=/usr/share/man \
	--sysconfdir=/etc
make

%install
make install \
	prefix=$RPM_BUILD_ROOT/usr \
	mandir=$RPM_BUILD_ROOT/usr/share/man \
	sysconfdir=$RPM_BUILD_ROOT/etc

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{_bindir}/gtk-query-immodules-2.0 > /etc/gtk-2.0/gtk.immodules
GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source` %{_bindir}/gconftool-2 --makefile-install-rule /etc/gconf/schemas/im-ja.schemas > /dev/null

%postun
/sbin/ldconfig
%{_bindir}/gtk-query-immodules-2.0 > /etc/gtk-2.0/gtk.immodules

%files
%defattr(-, root, root)
%doc README COPYING TODO AUTHORS ChangeLog
/etc/gconf/schemas/*
%{_libdir}/gtk-2.0/*
%{_libdir}/im-ja/*
%{_libdir}/bonobo/servers/*
%{_libdir}/gnome-panel/*
%{_bindir}/*
%{_datadir}/gnome-2.0/ui/GNOME_ImJaApplet.xml
%{_datadir}/control-center-2.0/*
%{_datadir}/im-ja/*
%{_datadir}/locale/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*


