#!/usr/bin/perl

use URI::Escape;


open(NEWHEAD, ">$ARGV[0]-convtable.h") || die "Can't open\n";
select(NEWHEAD);
#print "#ifndef _CONVTABLE_H\n";
#print "#define _CONVTABLE_H\n";
open(TABLE, "$ARGV[0]-convtable.txt") || die "Can't open\n";
print '#include "romakana.h"', "\n";
print "romapair $ARGV[0]table[] = {\n";
while(<TABLE>) {
  if( /^$/ ) {
    print "\n";
    next;
  }
  @pair = split(/\s/);
  ($esc0 = uri_escape($pair[0],"\x00-\xff")) =~ s/%/\\x/g;
  ($esc1 = uri_escape($pair[1],"\x00-\xff")) =~ s/%/\\x/g;
  print "  { \"".$esc0."\", \"".$esc1,"\" },\n";
}
print "};\n";
close(TABLE);
#print "\n#endif /* _CONVTABLE_H */\n";
close(NEWHEAD);
