/* -*- Mode: C; tab-width: 2; indent-tabs-mode: t; c-basic-offset: 2 -*- */

#ifndef _PREEDITWIN_H_
#define _PREEDITWIN_H_

typedef struct _PreeditWin PreeditWin;

struct _PreeditWin {
  GtkWidget *window;
  GtkWidget *label;
  GtkWidget *eventbox;
  GtkTextBuffer *text_buffer;
  GtkWidget *text_view;
	gboolean can_hide;
};


void preedit_window_show(IMContextJA* context);
void preedit_window_hide(IMContextJA *context);
void preedit_window_destroy(IMContextJA *context);
void preedit_window_destroy_all();
void preedit_window_update_location(IMContextJA *context);
void preedit_window_set_text(IMContextJA *cn, gchar *text);
void preedit_window_set_attributes(IMContextJA *cn, PangoAttrList *attrs);
void preedit_window_set_cursor_pos(IMContextJA *cn, gint pos);

#endif

