#ifndef _WNN_H_
#define _WNN_H_

#include <gtk/gtk.h>
#include "wnnlib.h"
#include "im-ja.h"

typedef struct {
  char *envname;
  struct wnn_buf *wnn_buf;
  jcConvBuf *conv_buf;
} wnnStat;

/* Function prototypes */
gboolean im_ja_wnn_filter_keypress(IMContextJA *context, GdkEventKey *key);
void im_ja_wnn_commit(IMContextJA *cn);
gboolean im_ja_wnn_init(IMContextJA *context);
void im_ja_wnn_shutdown(IMContextJA *context);
void im_ja_wnn_reset(IMContextJA *context);
void im_ja_wnn_select_candidate(IMContextJA *context, int selected);
void im_ja_wnn_update_preedit(IMContextJA *context);

#endif
